# Generated by Django 3.2.12 on 2022-02-09 23:14

import django.contrib.postgres.fields
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

import devind_notifications.models.mailing


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Notice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('kind', models.PositiveIntegerField(choices=[(0, 'info'), (1, 'page'), (2, 'comment'), (3, 'message'), (4, 'task'), (5, 'billing'), (6, 'paid'), (7, 'mailing'), (8, 'happy_birthday')], default=1, help_text='Тип уведомления')),
                ('payload', models.CharField(help_text='Полезная нагрузка', max_length=1024)),
                ('object_id', models.CharField(help_text='Идентификатор объекта', max_length=100)),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Дата добавления')),
                ('user', models.ForeignKey(help_text='Пользователь', null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ('-created_at',),
            },
        ),
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('read', models.BooleanField(default=False, help_text='Прочитано ли уведомление')),
                ('hide', models.BooleanField(default=False, help_text='Скрыть уведомление')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Дата добавления')),
                ('notice', models.ForeignKey(help_text='Уведомление', on_delete=django.db.models.deletion.CASCADE, to='devind_notifications.notice')),
                ('user', models.ForeignKey(help_text='Пользователь', on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ('-created_at',),
            },
        ),
        migrations.CreateModel(
            name='Mailing',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dispatchers', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), default=devind_notifications.models.mailing.default_dispatchers, help_text='Средства отправки', size=None)),
                ('address', models.EmailField(default=devind_notifications.models.mailing.mailing_default_email, help_text='Адрес отправки', max_length=254)),
                ('header', models.CharField(help_text='Заголовок сообщения', max_length=256)),
                ('text', models.TextField(help_text='Текст сообщения')),
                ('attachments', django.contrib.postgres.fields.ArrayField(base_field=models.FileField(help_text='Файлы', max_length=1024, upload_to=devind_notifications.models.mailing.attachments_directory_path), help_text='Массив прикрепленных файлов', null=True, size=None)),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Дата добавления')),
                ('user', models.ForeignKey(help_text='Пользователь', on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
